Subject: Re: [PATCH v3 04/12] l2tp: Add ppp device name to L2TP ppp session data

From: James Chapman <[email-masked]>
Date: Thu, 01 Apr 2010 09:59:48 +0100

David Miller wrote:
> From: James Chapman <[email-masked]>
> Date: Thu, 01 Apr 2010 08:19:43 +0100
> 
>> There might be thousands of L2TP sessions in some setups. Populating
>> sysfs with a link for each of those sessions isn't practical. The
>> existing /proc file dumps its info as a single text file for this
>> reason. I'd also like to provide the device name in the session netlink
>> message, which is the interface used by l2tp userspace, so I need a
>> kernel API to retrieve the device name from ppp.
> 
> Scalability concerns are also another reason _not_ to use
> procfs.
> 
> Use netlink or similar, which can dump with filtering and
> proper queueing.

See previous reply to Eric. The original /proc API was originally
intended for debug, but users have been using it in hacky scripts
instead of using proper socket interfaces to get the data they need. So
I'm proposing to retain the existing proc file for compatibility but put
other (new) driver-private debug info into debugfs.

-- 
James Chapman
Katalix Systems Ltd
http://www.katalix.com
Catalysts for your Embedded Linux software development